# Interface gmfOptions

#### Hierarchy

- gmfOptions

- Defined in src/options.js:527

#####
Index

### Properties

controlZoom
cssVars
geolocalisation
interationDefaults
map
mapControls
mapInteractions
showInfobar
view
zoom

## Properties

### controlZoom

controlZoom: Options

The zoom control options

- Defined in src/options.js:536

### cssVars

cssVars: Object

The css variables, in particular brand-primary and brand-secondary that will set all the branding.

- Defined in src/options.js:537

### geolocalisation

geolocalisation: boolean

Show the geolocalisation button.

- Defined in src/options.js:529

### interationDefaults

interationDefaults: any

The map interactions.

- Defined in src/options.js:535

### map

map: Map

The map definition.

- Defined in src/options.js:531

### mapControls

mapControls: Control[]

The map control.

- Defined in src/options.js:533

### mapInteractions

mapInteractions: Interaction[]

The map interactions.

- Defined in src/options.js:534

### showInfobar

showInfobar: boolean

Show the information bar.

- Defined in src/options.js:528

### view

view: View

The view definition.

- Defined in src/options.js:530

### zoom

zoom: number

The default zoom.

- Defined in src/options.js:532

Generated using TypeDoc